byte led8 = 8;
byte led9 = 9;
byte led10 = 10;
byte led11 = 11;

byte crvena = 5;
byte plava = 6;
byte zelena = 3;

void setup() {
  DDRB = B00001111;
  DDRD = B01101000;
  PORTB = B00001111;

  noInterrupts(); //zaustavi prekide
  // postavi timer2 u isti način rada kao i timer0
  TCCR2A |= (1 << WGM21); 
  interrupts(); //omogući prekide
}


void loop() {
  delay(200);
  for ( int boja = 12; boja <=255; boja++){
    D8_D11(boja);
  }
  for ( int boja = 255; boja >= 12; boja--){
    D8_D11(boja);
  }
}


void D8_D11(int boja) {
  analogWrite(crvena, boja);
  while ( TCNT0 == 255 ) {}
  digitalWrite(led8, LOW);
  while ( TCNT0 < 255 ) {}
  digitalWrite(led8, HIGH);
 analogWrite(crvena, 0);

  analogWrite(zelena, boja);
  while ( TCNT0 == 255){}
  digitalWrite(led9, LOW);
  while ( TCNT0 < 255){}
  digitalWrite(led9, HIGH);
  analogWrite(zelena, 0);

  analogWrite(plava, boja);
  while ( TCNT0 == 255){}
  digitalWrite(led10, LOW);
  while ( TCNT0 < 255){}
  digitalWrite(led10, HIGH);
  analogWrite(plava, 0);

  analogWrite(crvena, boja);
  analogWrite(zelena, boja);
  analogWrite(plava, boja);
  while ( TCNT0 == 255){}
  digitalWrite(led11, LOW);
  while ( TCNT0 < 255){}
  digitalWrite(led11, HIGH);
  analogWrite(crvena, 0);
  analogWrite(zelena, 0);
  analogWrite(plava, 0);
}
